imports:
    - { resource: parameters.yml }
    - { resource: security.yml }
    - { resource: @D2CoreBundle/Resources/config/services.yml }
    - { resource: @D2UserBundle/Resources/config/services.yml }
    - { resource: @D2CustomerBundle/Resources/config/services.yml }
    - { resource: @D2ContentBundle/Resources/config/services.yml }
    - { resource: @D2BillingBundle/Resources/config/services.yml }
    - { resource: @D2CustomerBusinessBundle/Resources/config/services.yml }
    - { resource: @D2RTTBundle/Resources/config/services.yml }
    - { resource: @D2CourierITBundle/Resources/config/services.yml }
    - { resource: @D2EWCBundle/Resources/config/services.yml }
    - { resource: @D2KingsBundle/Resources/config/services.yml }
    - { resource: @D2CargoWorksBundle/Resources/config/services.yml }
    - { resource: @D2ChurchillsBundle/Resources/config/services.yml }
    - { resource: @D2ExpressWaysBundle/Resources/config/services.yml }
    - { resource: @D2UTIBundle/Resources/config/services.yml }
    - { resource: @D2SkyNetBundle/Resources/config/services.yml }
    - { resource: @D2GavicBundle/Resources/config/services.yml }
    - { resource: @D2FPDuToitBundle/Resources/config/services.yml }
    - { resource: @D2CelticFreightBundle/Resources/config/services.yml }
    - { resource: @D2BBTransportBundle/Resources/config/services.yml }
    - { resource: @D2TransWorldBundle/Resources/config/services.yml }
    - { resource: @D2CamposBundle/Resources/config/services.yml }
    - { resource: @D2AramexBundle/Resources/config/services.yml }
    - { resource: @D2AbafaziBundle/Resources/config/services.yml }
    - { resource: @D2FedexBundle/Resources/config/services.yml }
    - { resource: @D2EmitBundle/Resources/config/services.yml }
    - { resource: @D2RowelBundle/Resources/config/services.yml }
    - { resource: @D2InMotionBundle/Resources/config/services.yml }
    - { resource: @D2AdhocWaybillBundle/Resources/config/services.yml }
    - { resource: @D2RbAndSonBundle/Resources/config/services.yml }
    - { resource: @D2WorkflowBundle/Resources/config/services.yml }

# general system parameters
parameters:
    # base site path
    site_base_url: %site_base%
    
    # Registration
    country_override: true        														# override country filter for allow registration

    # Sms sub-system defaults
    installation_dial_code: "27"														# international dial code for country of installation
    
    # System Email
    email_system_admin: "support@move-analytics.com"        							# general system administrator
    email_system_sales: "support@move-analytics.com"        							# sales email account

    # System EWC POD SERVER
    ewc_pod_server: "pop.easysmsoffice.co.za"        									
    ewc_pod_account: "ewcpod@easysmsoffice.co.za"        								
    ewc_pod_password: "EPodwc1993"        												
    ewc_request_account: "pods@imperialexpress.co.za"        								

    # System KINGS POD SERVER
    kings_pod_server: "pop.easysmsoffice.co.za"        									
    kings_pod_account: "kingspod@easysmsoffice.co.za"        								
    kings_pod_password: "KPoding1552"        												
    kings_request_account: "pods@imperialexpress.co.za"        								

    # System CHURCHILLS POD SERVER
    churchills_pod_server: "pop.easysmsoffice.co.za"        									
    churchills_pod_account: "churchillspod@easysmsoffice.co.za"        								
    churchills_pod_password: "CHU1652hill"        												
    churchills_request_account: "images@churchillsinternational.com"        								

    # System Skynet POD directory
    skynet_pod_directory: %skynet_pod_directory_param%        									
    # System UTI POD directory
    uti_pod_directory: %uti_pod_directory_param%        									
    
    # Billing Setup
    company_name: "Move Analytics"
    company_vat_number: "484 023 4035"
    company_telephone: "0333441162"
    company_email: "support@move-analytics.com"
    company_addr_1: "47 3rd Ave"
    company_addr_2: "Parktown North"
    company_addr_3: "Johannesburg"
    company_addr_4: "2193"
    
    company_bank: "Standard Bank - Rosebank"
    company_account: "Acc No: 001908294"
    company_branch: "Branch Code: 004205"

    invoice_note: "As agreed, payment is due on or before the 25th of the month. All trading undertaken in terms of our STANDARD TRADING CONDITIONS, a copy of which is available on request. Thank you for your custom."
    quote_note: "This quote is based on the figures supplied, and on present rates.  Should there be any difference in the size of your parcel or the actual mass, the price will be adjusted accordingly. Quotes excludes Customs taxes and duties, storage charges or any unforeseen charges. Please be advised the above quote is excluding insurance. This Quote is only valid for 20 days from date of quote."
    
    # PayFast Setup
    payfast_transaction_mode: "TEST"													# options are LIVE, TEST
    payfast_live_host: "www.payfast.co.za"
    payfast_test_host: "sandbox.payfast.co.za"
    payfast_merchant_id: "10898943"
    payfast_merchant_key: "dynbb8gf0l4ni"
    payfast_pass_phrase: "martingooloo"
    payfast_return_url: "http://portal.easysmsoffice.co.za/payfast/complete"
    payfast_cancel_url: "http://portal.easysmsoffice.co.za/payfast/cancel"
    payfast_notify_url: "http://portal.easysmsoffice.co.za/payfast/itn"
    
framework:
    #esi:             ~
    translator: ~
    secret:          %secret%
    router:
        resource: "%kernel.root_dir%/config/routing.yml"
        strict_requirements: ~
    form:            ~
    csrf_protection: ~
    validation:      { enabled: true, enable_annotations: true }
    templating:
        engines: ['twig']
        #assets_version: SomeVersionScheme
    default_locale:  "%locale%"
    trusted_proxies: ~
    session:
        cookie_lifetime: 36000
    fragments:       ~
    http_method_override: true

# Twig Configuration
twig:
    debug:            %kernel.debug%
    strict_variables: %kernel.debug%
    form:
        resources: ['form_table_layout.html.twig']
    globals:
        pdf_bootstrap: %bootstrap_file%
        
# Assetic Configuration
assetic:
    debug:          %kernel.debug%
    use_controller: false
    bundles:        [ ]
    #java: /usr/bin/java
    filters:
       less:
           node: /usr/bin/node
           node_paths: [/usr/lib/node_modules]
           apply_to: "\.less$"
       cssrewrite: ~
        #closure:
        #    jar: %kernel.root_dir%/Resources/java/compiler.jar
        #yui_css:
        #    jar: %kernel.root_dir%/Resources/java/yuicompressor-2.4.7.jar

# Doctrine Configuration
doctrine:
    dbal:
        driver:   %database_driver%
        host:     %database_host%
        port:     %database_port%
        dbname:   %database_name%
        user:     %database_user%
        password: %database_password%
        charset:  UTF8
        mapping_types: 
            enum:       string         
        # if using pdo_sqlite as your database driver, add the path in parameters.yml
        # e.g. database_path: %kernel.root_dir%/data/data.db3
        # path:     %database_path%
    orm:
        auto_generate_proxy_classes: %kernel.debug%
        entity_managers:
            default:
                hydrators:
                    FlatArrayHydrator: D2\CoreBundle\DependencyInjection\Doctrine\CustomHydrators\FlatArrayHydrator
                auto_mapping: truez
                dql:
                    string_functions:
                        lpad: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\LPad
                        rpad: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\RPad
                        group_concat: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\GroupConcat
                        soundex: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\Soundex
                        replace: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\Replace
                    datetime_functions:
                        timestampdiff: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\TimestampDiff
                        remindadd: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\RemindAdd
                        remindsub: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\RemindSub
                        day: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\Day
                        month: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\Month
                        year: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\Year
                        hour: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\Hour
                        weekday: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\Weekday
                    numeric_functions:
                        round: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\Round
                        ceil: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\Ceil
                        
# Swiftmailer Configuration
swiftmailer:
    # must remove line below in production env
    delivery_address: %mailer_debug_addr%
    delivery_whitelist:
       # all email addresses matching these regexes will be delivered
       # like normal, as well as being sent to dev@example.com
       - '/^pods@imperialexpress\.co\.za$/'
       - '/^iepods@imperialexpress\.co\.za$/'
       - '/^images@churchillsinternational\.com$/'
    transport: %mailer_transport%
    host:      %mailer_host%
    port :     %mailer_port%
    username:  %mailer_user%
    password:  %mailer_password%
    auth_mode:  %mailer_auth%
    encryption: %mailer_encryption%
    #spool:     { type: file, path: "%kernel.root_dir%/spool"}
    spool:     { type: memory }
    
# FosUserBundle
fos_user:
    db_driver: orm 
    firewall_name: main
    user_class: D2\UserBundle\Entity\User
    registration:
        form:
            type: d2_user_registration
    profile:
        form:
            type: d2_user_profile
    change_password:
        form:
            type: fos_user_change_password
    from_email:
        address:        development@easysmsoffice.co.za
        sender_name:    Move Analytics
    resetting:
        email:
            from_email:
                address:        development@easysmsoffice.co.za
                sender_name:    Move Analytics
    
# KnpMenuBundle    
knp_menu:
    twig:  # use "twig: false" to disable the Twig extension and the TwigRenderer
        template: knp_menu.html.twig
    templating: false # if true, enables the helper for PHP templates
    default_renderer: twig # The renderer to use, list is also available by default
    providers:
        builder_alias: false    # disable the builder-based provider
        container_aware: true   # keep this one enabled. Can be omitted as it is the default    

mopa_bootstrap:
    form:
        show_legend: false # default is true
        show_child_legend: false # default is true
        error_type: inline # or inline which is default
        checkbox_label: 'widget' # default is both (label|widget|both)
        render_required_asterisk: true # default is true
    navbar: ~

stfalcon_tinymce:
    include_jquery: false
    tinymce_jquery: false
    selector: ".tinymce"
    # Get current language from the parameters.ini
    language: %locale%
    theme:
        # Advanced theme with almost all enabled plugins
        simple:
             width: 790
             theme: modern
             plugins:
                 - "advlist autolink lists link image charmap print preview hr anchor pagebreak"
                 - "searchreplace wordcount visualblocks visualchars code fullscreen"
                 - "insertdatetime media nonbreaking save table contextmenu directionality"
                 - "emoticons template paste textcolor"
             toolbar1: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image"
             toolbar2: "print preview media | forecolor backcolor emoticons | stfalcon | example"
             image_list: "/app_dev.php/suggest_images"
             #external_filemanager_path: "/ResponsiveFilemanager-master/filemanager/" 
             #filemanager_title: "Responsive Filemanager"
             #external_plugins: { "filemanager" : "/ResponsiveFilemanager-master/filemanager/plugin.min.js"}
             #image_advtab: true
        external_plugins:
    
knp_snappy:
    pdf:
        enabled:    true
        binary:     %knp_snappy.wkhtmltopdf%
        options:    []
    image:
        enabled:    true
        binary:     %knp_snappy.wkhtmltoimage%
        options:    []

white_october_breadcrumbs: ~

be_simple_soap:
    cache:
        type:     disk
        lifetime: 86400
        limit:    5
    services:
        OmsApi:
            namespace:     http://easysmsoffice.local/app_dev.php/ws/OmsApi/1.0/
            binding:       rpc-literal
            resource:      "@D2OmsBundle/Controller/OmsServerController.php"
            resource_type: annotation

gregwar_captcha: ~

#tga_audience:
#    session_duration: 3600     # Duration meanwhile a visitor is unique
#    disabled_routes: ['fos_js_routing_js', 'fos_user_security_check', 'fos_user_security_login']        # List of disabled routes to not track with the bundle
#    environnements: ['dev']    # List of environnements where the bundle will track requests


#jms_payment_core:
#    secret: someS3cretP4ssw0rd
    
#jms_payment_paypal:
#    username: yourmail@domain.com
#    password: 13554848
#    signature: LbGakzdnaokndand
#    debug: true
 
#jms_di_extra:
#    locations:
#        all_bundles: false
#        bundles: [HereYourAppBundle]
#        directories: ["%kernel.root_dir%/../src"]
#    automatic_controller_injections:
#        properties:
#            request: "@request"
#            router: "@router"
#        method_calls:
#            setRouter: ["@router"]

